> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cleartalk.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Make a cleartalk call



## OpenAPI

````yaml post /callback/cleartalk-call
openapi: 3.0.0
info:
  title: ClearTalk API
  description: The ClearTalk API Documentation
  version: '1.0'
  contact:
    name: Developer Support
    email: devsupport@cleartalk.ai
servers:
  - url: https://api.cleartalk.ai
    description: ClearTalk AI API Server
security: []
tags: []
paths:
  /callback/cleartalk-call:
    post:
      tags:
        - callback
      summary: Make a cleartalk call
      operationId: CallbackController_cleartalkCall
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/cleartalkCallDto'
      responses:
        '200':
          description: Returns call response
        '400':
          description: Bad request or insufficient credit
        '500':
          description: Internal server error
      security:
        - apiKey: []
components:
  schemas:
    cleartalkCallDto:
      type: object
      properties:
        agentId:
          type: number
        selectedTag:
          type: string
        quantity:
          type: number
        index:
          type: number
        numberLimitCallback:
          type: number
        dispositionCall:
          type: array
          items:
            type: string
        languageName:
          type: string
        voiceSpeed:
          type: string
        interruptionThreshold:
          type: string
        background_track:
          type: string
        max_duration:
          type: string
        similarity:
          type: string
        stability:
          type: string
        wait_for_greeting:
          type: string
        task:
          type: string
        temperature:
          type: string
        firstSentence:
          type: string
        model:
          type: string
        startTime:
          type: string
        amd:
          type: string
        voiceMailAction:
          type: string
        optimizeFor:
          type: string
        speechFlexibility:
          type: string
        calendarID:
          type: string
        selectedVoice:
          type: string
        transferPhoneNumber:
          type: array
          items:
            $ref: '#/components/schemas/TransferPhoneNumber'
        phone:
          type: string
        agentName:
          type: string
        memory_id:
          type: string
        knowbase_id:
          type: string
        agentPhones:
          type: array
          items:
            type: string
        isGHL:
          type: string
        listName:
          type: string
      required:
        - agentId
        - selectedTag
        - quantity
        - index
        - numberLimitCallback
        - dispositionCall
        - languageName
        - voiceSpeed
        - interruptionThreshold
        - background_track
        - max_duration
        - similarity
        - stability
        - wait_for_greeting
        - task
        - temperature
        - firstSentence
        - model
        - startTime
        - amd
        - voiceMailAction
        - optimizeFor
        - speechFlexibility
        - calendarID
        - selectedVoice
        - transferPhoneNumber
        - phone
        - agentName
        - memory_id
        - knowbase_id
        - isGHL
        - listName
    TransferPhoneNumber:
      type: object
      properties:
        transfer_type:
          type: string
          example: operator
          description: transfer to
        transfer_number:
          type: string
          example: '+1234567890'
          description: Phone number for transfer
      required:
        - transfer_type
        - transfer_number
  securitySchemes:
    apiKey:
      type: apiKey
      in: header
      name: x-api-key
      description: API Key for authentication

````